Bug 197535 - firefox performance issue: firefox consumes 100% CPU and up to 10 seconds to create a new window.
firefox performance issue: firefox consumes 100% CPU and up to 10 seconds to ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-03 16:40 EDT by James Hunt
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 11:02:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Hunt 2006-07-03 16:40:26 EDT
Description of problem:

Firefox has a serious performance issue when it needs to create a new window.

Visiting a site which pops up a separate window, or where you select a
conventional link to "open in new window" takes an inordinate amount of time.

Version-Release number of selected component (if applicable):

firefox-1.5.0.4-1.2.fc5

How reproducible:

Every time.

Steps to Reproduce:
1. visit any site that uses pop-up windows. Alternatively, visit any site, and
right click on any link and select "open in new window".
2. wait for up to 10 seconds for anything to happen.
3. run "top" and observe that "firefox-bin" consumes anywhere from 90-100% of
your CPU for the duration of the window-opening operation.

Actual results:

Up to a 10 second delay for the window to appear.

Expected results:

Near-instantaneous creation.

Additional info:

This behaviour has been observed on a number of different FC systems. In fact,
the problem is not confined to the latest version of Firefox. Additionally, the
problem affects any link where you select "open in new window".

I can accept that creating a new firefox window is going to be slightly slower
than creating a new tab, but not to this extent. This argument is backed up by
the fact that if you select a link to "open in new window", the firefox window
(navigation toolbar, status bar, window manager decorations, etc) renders in <1
second. However, there is then a delay in the order of 8 seconds on my current
system before firefox even attempts to render the page within the firefox windows.

10 seconds is one _heck_ of a lot of CPU cycles even on my (now relatively old)
2.5GHz Prescott (ie Hyper-threaded) Intel P4 chip with 1Gb of RAM on broadband...

I performed a fairly unscientific -- but nonetheless interesting -- comparison
with konqueror (from kdebase-3.5.3-0.3.fc5). On average whilst Firefox takes
between 8 and 10 seconds to create and render a page, konqueror takes 2 seconds. 

Dillo takes < 1 second if anybody is interested... :-)
Comment 1 James Hunt 2006-07-04 16:17:20 EDT
This bug sounds similar to bug 187883.

Interestingly, I too am using the SMP kernel as my P4 has hyper-threading support.
Comment 2 James Hunt 2006-08-12 06:21:42 EDT
No - it has nothing to do with HT. This problem also occurs on my non-HT Linux
Intel x86 systems.
Comment 3 Matěj Cepl 2007-07-18 13:32:50 EDT
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 4 Matěj Cepl 2007-08-28 11:02:04 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.

Note You need to log in before you can comment on or make changes to this bug.